#ifndef SHARED_BIO_H
#define SHARED_BIO_H

#define BIO_WINDOW_WIDTH  760
#define BIO_WINDOW_HEIGHT 500

#define BIO_MAX_CUSTOM_ELEMENTS 8
#define BIO_MAX_CUSTOM_LABEL 20
#define BIO_MAX_CUSTOM_CONTENT 80


#include "../global.h"

int bio_edit_allowed(SESSION *user, const char *target_username,  const char *course, CONFIG_STRUCT *conf);
int bio_view_allowed(SESSION *user, const char *target_username,  const char *course, CONFIG_STRUCT *conf);
void get_bio_realname(const char *course, CONFIG_STRUCT *conf, const char *target_username, char *target_realname);
void  get_bio_dir(const char *course, CONFIG_STRUCT *conf, const char *target_username, char *bio_dir);
int bio_photo_exists(const char *bio_dir);
int bio_exists(const char *bio_dir);
void
cs_set_bio_link( const char *target_username, const char *course, CONFIG_STRUCT *conf, const char *key, int grp, int num, const char *prefix, int name_len);

#endif
